Get catalog details
curl --request GET \
--url https://app.alana.shopping/api/workspace/{workspaceId}/catalogs/{catalogId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.alana.shopping/api/workspace/{workspaceId}/catalogs/{catalogId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.alana.shopping/api/workspace/{workspaceId}/catalogs/{catalogId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": "UNAUTHORIZED",
"details": {
"message": "Missing or invalid authentication token"
}
}{
"error": "FORBIDDEN",
"details": {
"message": "User does not have permission to access this resource"
}
}{
"error": "NOT_FOUND",
"details": {
"message": "Resource not found"
}
}{
"error": "INTERNAL_SERVER_ERROR",
"details": {
"message": "An unexpected error occurred"
}
}Get Catalog Details
GET
/
api
/
workspace
/
{workspaceId}
/
catalogs
/
{catalogId}
Get catalog details
Authorizations
Bearer token authentication via Auth0. Users authenticate through Auth0 Universal Login. Include the access token in the Authorization header: Authorization: Bearer <token>
Path Parameters
The workspace ID
Pattern:
^ws_[a-z0-9]+$Response
Catalog details retrieved successfully
The response is of type object.
Last modified on February 16, 2026
⌘I